#line 2 "petitl.c"
/* A lexical scanner generated by flex */

/* Scanner skeleton version:
 * $Header: /home/unixmail/dwonnaco/.cvs-research/omega1_2devel/petit/include/petit/petitl.c,v 1.2 2000/08/18 17:22:02 dwonnaco Exp $
 */

#define FLEX_SCANNER
#define YY_FLEX_MAJOR_VERSION 2
#define YY_FLEX_MINOR_VERSION 5

#include <stdio.h>


/* cfront 1.2 defines "c_plusplus" instead of "__cplusplus" */
#ifdef c_plusplus
#ifndef __cplusplus
#define __cplusplus
#endif
#endif


#ifdef __cplusplus

#include <stdlib.h>
#include <unistd.h>

/* Use prototypes in function declarations. */
#define YY_USE_PROTOS

/* The "const" storage-class-modifier is valid. */
#define YY_USE_CONST

#else	/* ! __cplusplus */

#if __STDC__

#define YY_USE_PROTOS
#define YY_USE_CONST

#endif	/* __STDC__ */
#endif	/* ! __cplusplus */

#ifdef __TURBOC__
 #pragma warn -rch
 #pragma warn -use
#include <io.h>
#include <stdlib.h>
#define YY_USE_CONST
#define YY_USE_PROTOS
#endif

#ifdef YY_USE_CONST
#define yyconst const
#else
#define yyconst
#endif


#ifdef YY_USE_PROTOS
#define YY_PROTO(proto) proto
#else
#define YY_PROTO(proto) ()
#endif

/* Returned upon end-of-file. */
#define YY_NULL 0

/* Promotes a possibly negative, possibly signed char to an unsigned
 * integer for use as an array index.  If the signed char is negative,
 * we want to instead treat it as an 8-bit unsigned char, hence the
 * double cast.
 */
#define YY_SC_TO_UI(c) ((unsigned int) (unsigned char) c)

/* Enter a start condition.  This macro really ought to take a parameter,
 * but we do it the disgusting crufty way forced on us by the ()-less
 * definition of BEGIN.
 */
#define BEGIN yy_start = 1 + 2 *

/* Translate the current start state into a value that can be later handed
 * to BEGIN to return to the state.  The YYSTATE alias is for lex
 * compatibility.
 */
#define YY_START ((yy_start - 1) / 2)
#define YYSTATE YY_START

/* Action number for EOF rule of a given start state. */
#define YY_STATE_EOF(state) (YY_END_OF_BUFFER + state + 1)

/* Special action meaning "start processing a new file". */
#define YY_NEW_FILE yyrestart( yyin )

#define YY_END_OF_BUFFER_CHAR 0

/* Size of default input buffer. */
#define YY_BUF_SIZE 16384

typedef struct yy_buffer_state *YY_BUFFER_STATE;

extern int yyleng;
extern FILE *yyin, *yyout;

#define EOB_ACT_CONTINUE_SCAN 0
#define EOB_ACT_END_OF_FILE 1
#define EOB_ACT_LAST_MATCH 2

/* The funky do-while in the following #define is used to turn the definition
 * int a single C statement (which needs a semi-colon terminator).  This
 * avoids problems with code like:
 *
 * 	if ( condition_holds )
 *		yyless( 5 );
 *	else
 *		do_something_else();
 *
 * Prior to using the do-while the compiler would get upset at the
 * "else" because it interpreted the "if" statement as being all
 * done when it reached the ';' after the yyless() call.
 */

/* Return all but the first 'n' matched characters back to the input stream. */

#define yyless(n) \
	do \
		{ \
		/* Undo effects of setting up yytext. */ \
		*yy_cp = yy_hold_char; \
		YY_RESTORE_YY_MORE_OFFSET \
		yy_c_buf_p = yy_cp = yy_bp + n - YY_MORE_ADJ; \
		YY_DO_BEFORE_ACTION; /* set up yytext again */ \
		} \
	while ( 0 )

#define unput(c) yyunput( c, yytext_ptr )

/* The following is because we cannot portably get our hands on size_t
 * (without autoconf's help, which isn't available because we want
 * flex-generated scanners to compile on their own).
 */
typedef unsigned int yy_size_t;


struct yy_buffer_state
	{
	FILE *yy_input_file;

	char *yy_ch_buf;		/* input buffer */
	char *yy_buf_pos;		/* current position in input buffer */

	/* Size of input buffer in bytes, not including room for EOB
	 * characters.
	 */
	yy_size_t yy_buf_size;

	/* Number of characters read into yy_ch_buf, not including EOB
	 * characters.
	 */
	int yy_n_chars;

	/* Whether we "own" the buffer - i.e., we know we created it,
	 * and can realloc() it to grow it, and should free() it to
	 * delete it.
	 */
	int yy_is_our_buffer;

	/* Whether this is an "interactive" input source; if so, and
	 * if we're using stdio for input, then we want to use getc()
	 * instead of fread(), to make sure we stop fetching input after
	 * each newline.
	 */
	int yy_is_interactive;

	/* Whether we're considered to be at the beginning of a line.
	 * If so, '^' rules will be active on the next match, otherwise
	 * not.
	 */
	int yy_at_bol;

	/* Whether to try to fill the input buffer when we reach the
	 * end of it.
	 */
	int yy_fill_buffer;

	int yy_buffer_status;
#define YY_BUFFER_NEW 0
#define YY_BUFFER_NORMAL 1
	/* When an EOF's been seen but there's still some text to process
	 * then we mark the buffer as YY_EOF_PENDING, to indicate that we
	 * shouldn't try reading from the input source any more.  We might
	 * still have a bunch of tokens to match, though, because of
	 * possible backing-up.
	 *
	 * When we actually see the EOF, we change the status to "new"
	 * (via yyrestart()), so that the user can continue scanning by
	 * just pointing yyin at a new input file.
	 */
#define YY_BUFFER_EOF_PENDING 2
	};

static YY_BUFFER_STATE yy_current_buffer = 0;

/* We provide macros for accessing buffer states in case in the
 * future we want to put the buffer states in a more general
 * "scanner state".
 */
#define YY_CURRENT_BUFFER yy_current_buffer


/* yy_hold_char holds the character lost when yytext is formed. */
static char yy_hold_char;

static int yy_n_chars;		/* number of characters read into yy_ch_buf */


int yyleng;

/* Points to current character in buffer. */
static char *yy_c_buf_p = (char *) 0;
static int yy_init = 1;		/* whether we need to initialize */
static int yy_start = 0;	/* start state number */

/* Flag which is used to allow yywrap()'s to do buffer switches
 * instead of setting up a fresh yyin.  A bit of a hack ...
 */
static int yy_did_buffer_switch_on_eof;

void yyrestart YY_PROTO(( FILE *input_file ));

void yy_switch_to_buffer YY_PROTO(( YY_BUFFER_STATE new_buffer ));
void yy_load_buffer_state YY_PROTO(( void ));
YY_BUFFER_STATE yy_create_buffer YY_PROTO(( FILE *file, int size ));
void yy_delete_buffer YY_PROTO(( YY_BUFFER_STATE b ));
void yy_init_buffer YY_PROTO(( YY_BUFFER_STATE b, FILE *file ));
void yy_flush_buffer YY_PROTO(( YY_BUFFER_STATE b ));
#define YY_FLUSH_BUFFER yy_flush_buffer( yy_current_buffer )

YY_BUFFER_STATE yy_scan_buffer YY_PROTO(( char *base, yy_size_t size ));
YY_BUFFER_STATE yy_scan_string YY_PROTO(( yyconst char *yy_str ));
YY_BUFFER_STATE yy_scan_bytes YY_PROTO(( yyconst char *bytes, int len ));

static void *yy_flex_alloc YY_PROTO(( yy_size_t ));
static void *yy_flex_realloc YY_PROTO(( void *, yy_size_t ));
static void yy_flex_free YY_PROTO(( void * ));

#define yy_new_buffer yy_create_buffer

#define yy_set_interactive(is_interactive) \
	{ \
	if ( ! yy_current_buffer ) \
		yy_current_buffer = yy_create_buffer( yyin, YY_BUF_SIZE ); \
	yy_current_buffer->yy_is_interactive = is_interactive; \
	}

#define yy_set_bol(at_bol) \
	{ \
	if ( ! yy_current_buffer ) \
		yy_current_buffer = yy_create_buffer( yyin, YY_BUF_SIZE ); \
	yy_current_buffer->yy_at_bol = at_bol; \
	}

#define YY_AT_BOL() (yy_current_buffer->yy_at_bol)

typedef unsigned char YY_CHAR;
FILE *yyin = (FILE *) 0, *yyout = (FILE *) 0;
typedef int yy_state_type;
extern char *yytext;
#define yytext_ptr yytext

static yy_state_type yy_get_previous_state YY_PROTO(( void ));
static yy_state_type yy_try_NUL_trans YY_PROTO(( yy_state_type current_state ));
static int yy_get_next_buffer YY_PROTO(( void ));
static void yy_fatal_error YY_PROTO(( yyconst char msg[] ));

/* Done after the current pattern has been matched and before the
 * corresponding action - sets up yytext.
 */
#define YY_DO_BEFORE_ACTION \
	yytext_ptr = yy_bp; \
	yyleng = (int) (yy_cp - yy_bp); \
	yy_hold_char = *yy_cp; \
	*yy_cp = '\0'; \
	yy_c_buf_p = yy_cp;

#define YY_NUM_RULES 76
#define YY_END_OF_BUFFER 77
static yyconst short int yy_accept[189] =
    {   0,
        0,    0,   77,   75,   74,   72,   72,   75,   21,   25,
       31,   24,    3,   23,   75,   30,   18,    2,   27,   17,
        4,   15,   73,   73,   73,   73,   73,   73,   73,   73,
       73,   73,   73,   73,   73,   73,   73,   22,   26,   73,
       19,   20,   28,   29,   13,   28,    5,   33,   32,    7,
        6,   18,    0,   16,   12,   11,   14,   73,   73,   73,
       73,   73,   37,   73,   73,   40,   73,   73,   73,   73,
       49,   63,   73,   73,   73,   73,   69,   73,   73,   73,
       73,   73,   73,   73,   57,   73,   73,   28,   28,    0,
        6,    0,    0,    9,   68,   73,   73,   73,   73,   73,

       73,   73,   73,   73,   73,   47,   73,   73,   51,   52,
       53,   70,   64,   73,   73,   73,   73,   73,   73,   73,
       51,   52,   28,    0,   10,    0,    8,   73,   61,   73,
       73,   73,   73,   73,   73,   43,   73,   73,   73,   73,
       73,   73,   73,   73,   71,   54,   73,   55,   73,   56,
       34,   35,   28,   73,   73,   73,   73,   39,   41,   42,
       73,   45,   46,   73,   73,   65,   73,   73,   73,   73,
       28,    1,   36,   73,   73,   59,   44,   48,   62,   73,
       73,   58,   60,   66,   38,   50,   67,    0
    } ;

static yyconst int yy_ec[256] =
    {   0,
        1,    1,    1,    1,    1,    1,    1,    1,    2,    3,
        1,    1,    4,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    2,    5,    2,    6,    7,    1,    1,    1,    8,
        9,   10,   11,   12,   13,   14,   15,   16,   16,   16,
       16,   16,   16,   16,   16,   16,   16,   17,   18,   19,
       20,   21,    1,    1,   22,   23,   24,   25,   26,   27,
       28,   29,   30,   31,   31,   32,   33,   34,   35,   36,
       37,   38,   39,   40,   41,   42,   31,   43,   44,   31,
       45,    1,   46,    1,    6,    1,   47,   23,   24,   25,

       48,   27,   28,   29,   49,   31,   31,   32,   50,   51,
       35,   36,   37,   38,   52,   40,   41,   42,   31,   53,
       44,   31,   54,    1,   55,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,

        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1
    } ;

static yyconst int yy_meta[56] =
    {   0,
        1,    1,    2,    1,    1,    3,    3,    1,    1,    1,
        1,    1,    1,    1,    1,    3,    1,    1,    1,    1,
        1,    3,    3,    3,    3,    3,    3,    3,    3,    3,
        3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
        3,    3,    3,    3,    1,    1,    3,    3,    3,    3,
        3,    3,    3,    1,    1
    } ;

static yyconst short int yy_base[193] =
    {   0,
        0,    0,  277,  278,  278,  278,  278,   53,  278,  278,
       47,  256,  278,  278,  259,  278,   44,  278,  278,   41,
      254,  253,   25,   24,   37,  237,   37,   43,    0,   47,
       61,  236,   46,  232,   64,   57,   60,  278,  278,   71,
      278,  278,    0,  278,  278,  233,  278,  278,  278,   83,
       87,   88,  106,  278,  278,  278,  278,    0,  243,   76,
      227,   75,    0,   77,   96,   78,   90,  241,  230,  226,
        0,   92,   80,   87,  238,  222,    0,  221,  104,  103,
      117,  222,  118,  115,    0,  102,  109,    0,  122,  155,
      135,  156,  243,  242,    0,  122,  222,  224,  223,  123,

      123,  142,  133,  150,  219,  156,  212,  153,    0,    0,
        0,    0,    0,  210,  226,  218,  208,  208,  207,  151,
      226,  225,  237,  227,  226,  225,  224,  201,    0,  198,
      156,  202,  196,  203,  190,    0,  198,  205,  193,  198,
      160,  185,  191,  162,    0,    0,  180,    0,  161,    0,
      278,  278,  214,  175,  162,  153,  161,    0,    0,    0,
      170,    0,    0,  168,  158,    0,  168,  148,  162,  128,
      147,  278,    0,  163,  116,    0,    0,    0,    0,   42,
      172,    0,    0,    0,    0,    0,    0,  278,  220,   76,
      223,  226

    } ;

static yyconst short int yy_def[193] =
    {   0,
      188,    1,  188,  188,  188,  188,  188,  189,  188,  188,
      188,  188,  188,  188,  188,  188,  188,  188,  188,  188,
      188,  188,  190,  190,  190,  190,  190,  190,  190,  190,
      190,  190,  190,  190,  190,  190,  190,  188,  188,  190,
      188,  188,  191,  188,  188,  191,  188,  188,  188,  188,
      188,  188,  188,  188,  188,  188,  188,  190,  190,  190,
      190,  190,  190,  190,  190,  190,  190,  190,  190,  190,
      190,  190,  190,  190,  190,  190,  190,  190,  190,  190,
      190,  190,  190,  190,  190,  190,  190,  191,  191,  188,
      188,  188,  188,  188,  190,  190,  190,  190,  190,  190,

      190,  190,  190,  190,  190,  190,  190,  190,  190,  190,
      190,  190,  190,  190,  190,  190,  190,  190,  190,  190,
      190,  190,  191,  188,  188,  188,  188,  190,  190,  190,
      190,  190,  190,  190,  190,  190,  190,  190,  190,  190,
      190,  190,  190,  190,  190,  190,  190,  190,  190,  190,
      188,  188,  192,  190,  190,  190,  190,  190,  190,  190,
      190,  190,  190,  190,  190,  190,  190,  190,  190,  190,
      192,  188,  190,  190,  190,  190,  190,  190,  190,  190,
      190,  190,  190,  190,  190,  190,  190,    0,  188,  188,
      188,  188

    } ;

static yyconst short int yy_nxt[334] =
    {   0,
        4,    5,    6,    7,    8,    4,    4,    9,   10,   11,
       12,   13,   14,   15,   16,   17,   18,   19,   20,   21,
       22,   23,   24,   25,   26,   27,   28,   29,   29,   30,
       29,   29,   31,   32,   33,   34,   29,   35,   36,   37,
       29,   29,   29,   29,   38,   39,   23,   27,   30,   40,
       32,   36,   29,   41,   42,   44,   47,   51,   59,   52,
       54,   55,   64,   60,   62,   61,   48,   63,   67,   53,
       68,   65,   45,   71,   69,   59,   60,   70,   58,  186,
       72,   46,   73,   77,   64,   80,   78,   68,   84,   81,
       74,   53,   73,   82,   85,   75,   83,   72,   50,  102,

       74,   51,   91,   52,   98,   75,   99,   73,   90,   74,
       80,   81,   92,   53,   96,  103,   93,   86,   93,   87,
      110,   94,  109,   98,  102,   99,  107,   96,  100,  101,
       90,  108,  109,  114,   92,   53,  115,  110,  116,  119,
      120,  103,  110,  185,  109,  100,  101,  128,  123,  172,
       91,  183,  114,  115,  121,  132,  117,  123,  136,  122,
       92,  133,  120,  116,  119,  124,  126,  124,  126,  128,
      125,  127,  132,  134,  133,  135,  137,  140,  143,  138,
      136,  165,   92,  168,  150,  156,  175,  181,  141,  179,
      170,  174,  135,  180,  176,  182,  184,  187,  138,  178,

      143,  150,  140,  175,  156,  141,  165,  177,  168,  170,
      174,  176,  182,  184,  173,  180,  172,  169,  167,  187,
       43,   43,   43,   88,  166,   88,  171,  171,  171,  164,
      163,  162,  161,  160,  159,  158,  157,  155,  154,  127,
      127,  125,  125,  153,  152,  151,  149,  148,  147,  146,
      145,  144,  142,  139,  131,  130,  129,   94,   94,  118,
      113,  112,  111,  106,  105,  104,   97,   95,   89,   79,
       76,   66,   57,   56,   50,   49,  188,    3,  188,  188,
      188,  188,  188,  188,  188,  188,  188,  188,  188,  188,
      188,  188,  188,  188,  188,  188,  188,  188,  188,  188,

      188,  188,  188,  188,  188,  188,  188,  188,  188,  188,
      188,  188,  188,  188,  188,  188,  188,  188,  188,  188,
      188,  188,  188,  188,  188,  188,  188,  188,  188,  188,
      188,  188,  188
    } ;

static yyconst short int yy_chk[334] =
    {   0,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    8,   11,   17,   23,   17,
       20,   20,   25,   23,   24,   23,   11,   24,   27,   17,
       27,   25,    8,   30,   28,   23,   23,   28,  190,  180,
       30,    8,   31,   33,   25,   35,   33,   27,   37,   35,
       31,   17,   40,   36,   37,   31,   36,   30,   50,   66,

       40,   52,   51,   52,   62,   40,   64,   31,   50,   31,
       35,   35,   51,   52,   60,   67,   53,   40,   53,   40,
       74,   53,   73,   62,   66,   64,   72,   60,   65,   65,
       50,   72,   73,   79,   51,   52,   80,   74,   81,   83,
       84,   67,   87,  175,   86,   65,   65,   96,   89,  171,
       91,  170,   79,   80,   86,  100,   81,   89,  103,   87,
       91,  101,   84,   81,   83,   90,   92,   90,   92,   96,
       90,   92,  100,  102,  101,  102,  104,  106,  108,  104,
      103,  141,   91,  144,  120,  131,  156,  168,  106,  165,
      149,  155,  102,  167,  157,  169,  174,  181,  104,  164,

      108,  120,  106,  156,  131,  106,  141,  161,  144,  149,
      155,  157,  169,  174,  154,  167,  153,  147,  143,  181,
      189,  189,  189,  191,  142,  191,  192,  192,  192,  140,
      139,  138,  137,  135,  134,  133,  132,  130,  128,  127,
      126,  125,  124,  123,  122,  121,  119,  118,  117,  116,
      115,  114,  107,  105,   99,   98,   97,   94,   93,   82,
       78,   76,   75,   70,   69,   68,   61,   59,   46,   34,
       32,   26,   22,   21,   15,   12,    3,  188,  188,  188,
      188,  188,  188,  188,  188,  188,  188,  188,  188,  188,
      188,  188,  188,  188,  188,  188,  188,  188,  188,  188,

      188,  188,  188,  188,  188,  188,  188,  188,  188,  188,
      188,  188,  188,  188,  188,  188,  188,  188,  188,  188,
      188,  188,  188,  188,  188,  188,  188,  188,  188,  188,
      188,  188,  188
    } ;

static yy_state_type yy_last_accepting_state;
static char *yy_last_accepting_cpos;

/* The intent behind this definition is that it'll catch
 * any uses of REJECT which flex missed.
 */
#define REJECT reject_used_but_not_detected
#define yymore() yymore_used_but_not_detected
#define YY_MORE_ADJ 0
#define YY_RESTORE_YY_MORE_OFFSET
char *yytext;
#line 1 "../src/petitl.l"
#define INITIAL 0
/* $Id: petitl.c,v 1.2 2000/08/18 17:22:02 dwonnaco Exp $ */
#line 4 "../src/petitl.l"
#define yywrap()	1

YY_BUFFER_STATE hpp_yy_scan_string(yyconst char *);
int hpp_yyparse(void);


#define free(x)         free((char *)(x))

#line 512 "petitl.c"

/* Macros after this point can all be overridden by user definitions in
 * section 1.
 */

#ifndef YY_SKIP_YYWRAP
#ifdef __cplusplus
extern "C" int yywrap YY_PROTO(( void ));
#else
extern int yywrap YY_PROTO(( void ));
#endif
#endif

#ifndef YY_NO_UNPUT
static void yyunput YY_PROTO(( int c, char *buf_ptr ));
#endif

#ifndef yytext_ptr
static void yy_flex_strncpy YY_PROTO(( char *, yyconst char *, int ));
#endif

#ifdef YY_NEED_STRLEN
static int yy_flex_strlen YY_PROTO(( yyconst char * ));
#endif

#ifndef YY_NO_INPUT
#ifdef __cplusplus
static int yyinput YY_PROTO(( void ));
#else
static int input YY_PROTO(( void ));
#endif
#endif

#if YY_STACK_USED
static int yy_start_stack_ptr = 0;
static int yy_start_stack_depth = 0;
static int *yy_start_stack = 0;
#ifndef YY_NO_PUSH_STATE
static void yy_push_state YY_PROTO(( int new_state ));
#endif
#ifndef YY_NO_POP_STATE
static void yy_pop_state YY_PROTO(( void ));
#endif
#ifndef YY_NO_TOP_STATE
static int yy_top_state YY_PROTO(( void ));
#endif

#else
#define YY_NO_PUSH_STATE 1
#define YY_NO_POP_STATE 1
#define YY_NO_TOP_STATE 1
#endif

#ifdef YY_MALLOC_DECL
YY_MALLOC_DECL
#else
#if __STDC__
#ifndef __cplusplus
#include <stdlib.h>
#endif
#else
/* Just try to get by without declaring the routines.  This will fail
 * miserably on non-ANSI systems for which sizeof(size_t) != sizeof(int)
 * or sizeof(void*) != sizeof(int).
 */
#endif
#endif

/* Amount of stuff to slurp up with each read. */
#ifndef YY_READ_BUF_SIZE
#define YY_READ_BUF_SIZE 8192
#endif

/* Copy whatever the last rule matched to the standard output. */

#ifndef ECHO
/* This used to be an fputs(), but since the string might contain NUL's,
 * we now use fwrite().
 */
#define ECHO (void) fwrite( yytext, yyleng, 1, yyout )
#endif

/* Gets input and stuffs it into "buf".  number of characters read, or YY_NULL,
 * is returned in "result".
 */
#ifndef YY_INPUT
#define YY_INPUT(buf,result,max_size) \
	if ( yy_current_buffer->yy_is_interactive ) \
		{ \
		int c = '*', n; \
		for ( n = 0; n < max_size && \
			     (c = getc( yyin )) != EOF && c != '\n'; ++n ) \
			buf[n] = (char) c; \
		if ( c == '\n' ) \
			buf[n++] = (char) c; \
		if ( c == EOF && ferror( yyin ) ) \
			YY_FATAL_ERROR( "input in flex scanner failed" ); \
		result = n; \
		} \
	else if ( ((result = fread( buf, 1, max_size, yyin )) == 0) \
		  && ferror( yyin ) ) \
		YY_FATAL_ERROR( "input in flex scanner failed" );
#endif

/* No semi-colon after return; correct usage is to write "yyterminate();" -
 * we don't want an extra ';' after the "return" because that will cause
 * some compilers to complain about unreachable statements.
 */
#ifndef yyterminate
#define yyterminate() return YY_NULL
#endif

/* Number of entries by which start-condition stack grows. */
#ifndef YY_START_STACK_INCR
#define YY_START_STACK_INCR 25
#endif

/* Report a fatal error. */
#ifndef YY_FATAL_ERROR
#define YY_FATAL_ERROR(msg) yy_fatal_error( msg )
#endif

/* Default declaration of generated scanner - a define so the user can
 * easily add parameters.
 */
#ifndef YY_DECL
#define YY_DECL int yylex YY_PROTO(( void ))
#endif

/* Code executed at the beginning of each rule, after yytext and yyleng
 * have been set up.
 */
#ifndef YY_USER_ACTION
#define YY_USER_ACTION
#endif

/* Code executed at the end of each rule. */
#ifndef YY_BREAK
#define YY_BREAK break;
#endif

#define YY_RULE_SETUP \
	YY_USER_ACTION

YY_DECL
	{
	register yy_state_type yy_current_state;
	register char *yy_cp, *yy_bp;
	register int yy_act;

#line 13 "../src/petitl.l"



#line 667 "petitl.c"

	if ( yy_init )
		{
		yy_init = 0;

#ifdef YY_USER_INIT
		YY_USER_INIT;
#endif

		if ( ! yy_start )
			yy_start = 1;	/* first start state */

		if ( ! yyin )
			yyin = stdin;

		if ( ! yyout )
			yyout = stdout;

		if ( ! yy_current_buffer )
			yy_current_buffer =
				yy_create_buffer( yyin, YY_BUF_SIZE );

		yy_load_buffer_state();
		}

	while ( 1 )		/* loops until end-of-file is reached */
		{
		yy_cp = yy_c_buf_p;

		/* Support of yytext. */
		*yy_cp = yy_hold_char;

		/* yy_bp points to the position in yy_ch_buf of the start of
		 * the current run.
		 */
		yy_bp = yy_cp;

		yy_current_state = yy_start;
yy_match:
		do
			{
			register YY_CHAR yy_c = yy_ec[YY_SC_TO_UI(*yy_cp)];
			if ( yy_accept[yy_current_state] )
				{
				yy_last_accepting_state = yy_current_state;
				yy_last_accepting_cpos = yy_cp;
				}
			while ( yy_chk[yy_base[yy_current_state] + yy_c] != yy_current_state )
				{
				yy_current_state = (int) yy_def[yy_current_state];
				if ( yy_current_state >= 189 )
					yy_c = yy_meta[(unsigned int) yy_c];
				}
			yy_current_state = yy_nxt[yy_base[yy_current_state] + (unsigned int) yy_c];
			++yy_cp;
			}
		while ( yy_base[yy_current_state] != 278 );

yy_find_action:
		yy_act = yy_accept[yy_current_state];
		if ( yy_act == 0 )
			{ /* have to back up */
			yy_cp = yy_last_accepting_cpos;
			yy_current_state = yy_last_accepting_state;
			yy_act = yy_accept[yy_current_state];
			}

		YY_DO_BEFORE_ACTION;


do_action:	/* This label is used only to access EOF actions. */


		switch ( yy_act )
	{ /* beginning of action switch */
			case 0: /* must back up */
			/* undo the effects of YY_DO_BEFORE_ACTION */
			*yy_cp = yy_hold_char;
			yy_cp = yy_last_accepting_cpos;
			yy_current_state = yy_last_accepting_state;
			goto yy_find_action;

case 1:
*yy_cp = yy_hold_char; /* undo effects of setting up yytext */
yy_c_buf_p = yy_cp -= 1;
YY_DO_BEFORE_ACTION; /* set up yytext again */
YY_RULE_SETUP
#line 16 "../src/petitl.l"
{ YY_BUFFER_STATE hppbuf;
				  extern FILE *hpp_debug_file;
			  	  hpp_debug_file = DebugFile;
			          hppbuf = hpp_yy_scan_string(yytext+5);
				  hpp_yyparse();
/*				  yy_delete_buffer(hppbuf);*/
	                          Lines=P_Lines; 
                                  strncpy(P_IDname,&(yytext[1]),MAXIDLENGTH);
                                  return(TCOMMENT); 
				}
	YY_BREAK
case 2:
YY_RULE_SETUP
#line 26 "../src/petitl.l"
{ Lines=P_Lines; return(TCOLON); }
	YY_BREAK
case 3:
YY_RULE_SETUP
#line 27 "../src/petitl.l"
{ Lines=P_Lines; return(TCOMMA); }
	YY_BREAK
case 4:
YY_RULE_SETUP
#line 28 "../src/petitl.l"
{ Lines=P_Lines; return(TEQUAL); }
	YY_BREAK
case 5:
YY_RULE_SETUP
#line 29 "../src/petitl.l"
{ Lines=P_Lines; return(TEXP); }
	YY_BREAK
case 6:
YY_RULE_SETUP
#line 30 "../src/petitl.l"
{ Lines=P_Lines;
                                  strncpy(P_IDname,yytext,MAXIDLENGTH); 
                                  return(TFLOAT); }
	YY_BREAK
case 7:
YY_RULE_SETUP
#line 33 "../src/petitl.l"
{ Lines=P_Lines;
                                  strncpy(P_IDname,yytext,MAXIDLENGTH); 
                                  return(TFLOAT); }
	YY_BREAK
case 8:
YY_RULE_SETUP
#line 36 "../src/petitl.l"
{ Lines=P_Lines;
                                  strncpy(P_IDname,yytext,MAXIDLENGTH); 
                                  return(TFLOAT); }
	YY_BREAK
case 9:
YY_RULE_SETUP
#line 39 "../src/petitl.l"
{ Lines=P_Lines;
                                  strncpy(P_IDname,yytext,MAXIDLENGTH); 
                                  return(TFLOAT); }
	YY_BREAK
case 10:
YY_RULE_SETUP
#line 42 "../src/petitl.l"
{ Lines=P_Lines;
                                  strncpy(P_IDname,yytext,MAXIDLENGTH); 
                                  return(TFLOAT); }
	YY_BREAK
case 11:
YY_RULE_SETUP
#line 45 "../src/petitl.l"
{ Lines=P_Lines; return(TEQ); }
	YY_BREAK
case 12:
YY_RULE_SETUP
#line 46 "../src/petitl.l"
{ Lines=P_Lines; return(TNE); }
	YY_BREAK
case 13:
YY_RULE_SETUP
#line 47 "../src/petitl.l"
{ Lines=P_Lines; return(TNE); }
	YY_BREAK
case 14:
YY_RULE_SETUP
#line 48 "../src/petitl.l"
{ Lines=P_Lines; return(TGE); }
	YY_BREAK
case 15:
YY_RULE_SETUP
#line 49 "../src/petitl.l"
{ Lines=P_Lines; return(TGT); }
	YY_BREAK
case 16:
YY_RULE_SETUP
#line 50 "../src/petitl.l"
{ Lines=P_Lines; return(TLE); }
	YY_BREAK
case 17:
YY_RULE_SETUP
#line 51 "../src/petitl.l"
{ Lines=P_Lines; return(TLT); }
	YY_BREAK
case 18:
YY_RULE_SETUP
#line 52 "../src/petitl.l"
{ Lines=P_Lines; 
                                  strncpy(P_INTname,yytext,MAXIDLENGTH); 
                                  return(TINT); }
	YY_BREAK
case 19:
YY_RULE_SETUP
#line 55 "../src/petitl.l"
{ Lines=P_Lines; return(TLCB); }
	YY_BREAK
case 20:
YY_RULE_SETUP
#line 56 "../src/petitl.l"
{ Lines=P_Lines; return(TRCB); }
	YY_BREAK
case 21:
YY_RULE_SETUP
#line 57 "../src/petitl.l"
{ Lines=P_Lines; return(TLP); }
	YY_BREAK
case 22:
YY_RULE_SETUP
#line 58 "../src/petitl.l"
{ Lines=P_Lines; return(TLP); }
	YY_BREAK
case 23:
YY_RULE_SETUP
#line 59 "../src/petitl.l"
{ Lines=P_Lines; return(TMINUS); }
	YY_BREAK
case 24:
YY_RULE_SETUP
#line 60 "../src/petitl.l"
{ Lines=P_Lines; return(TPLUS); }
	YY_BREAK
case 25:
YY_RULE_SETUP
#line 61 "../src/petitl.l"
{ Lines=P_Lines; return(TRP); }
	YY_BREAK
case 26:
YY_RULE_SETUP
#line 62 "../src/petitl.l"
{ Lines=P_Lines; return(TRP); }
	YY_BREAK
case 27:
YY_RULE_SETUP
#line 63 "../src/petitl.l"
{ Lines=P_Lines; return(TSEMI); }
	YY_BREAK
case 28:
YY_RULE_SETUP
#line 64 "../src/petitl.l"
{ Lines=P_Lines; 
                                  strncpy(P_IDname,&(yytext[1]),MAXIDLENGTH);
                                  return(TCOMMENT); }
	YY_BREAK
case 29:
*yy_cp = yy_hold_char; /* undo effects of setting up yytext */
yy_c_buf_p = yy_cp = yy_bp + 1;
YY_DO_BEFORE_ACTION; /* set up yytext again */
YY_RULE_SETUP
#line 67 "../src/petitl.l"
{ Lines=P_Lines; 
                                  strncpy(P_IDname,&(yytext[1]),MAXIDLENGTH);
                                  return(TCOMMENT); }
	YY_BREAK
case 30:
YY_RULE_SETUP
#line 70 "../src/petitl.l"
{ Lines=P_Lines; return(TSLASH); }
	YY_BREAK
case 31:
YY_RULE_SETUP
#line 71 "../src/petitl.l"
{ Lines=P_Lines; return(TSTAR); }
	YY_BREAK
case 32:
YY_RULE_SETUP
#line 73 "../src/petitl.l"
{ Lines=P_Lines; return(TPLUSEQUAL); }
	YY_BREAK
case 33:
YY_RULE_SETUP
#line 74 "../src/petitl.l"
{ Lines=P_Lines; return(TSTAREQUAL); }
	YY_BREAK
case 34:
YY_RULE_SETUP
#line 75 "../src/petitl.l"
{ Lines=P_Lines; return(TMAXEQUAL); }
	YY_BREAK
case 35:
YY_RULE_SETUP
#line 76 "../src/petitl.l"
{ Lines=P_Lines; return(TMINEQUAL); }
	YY_BREAK
case 36:
YY_RULE_SETUP
#line 78 "../src/petitl.l"
{ Lines=P_Lines; return(TASSERT); }
	YY_BREAK
case 37:
YY_RULE_SETUP
#line 79 "../src/petitl.l"
{ Lines=P_Lines; return(TBY); }
	YY_BREAK
case 38:
YY_RULE_SETUP
#line 80 "../src/petitl.l"
{ Lines=P_Lines; return(TCEILING); }
	YY_BREAK
case 39:
YY_RULE_SETUP
#line 81 "../src/petitl.l"
{ Lines=P_Lines; return(TCONST); }
	YY_BREAK
case 40:
YY_RULE_SETUP
#line 82 "../src/petitl.l"
{ Lines=P_Lines; return(TDO); }
	YY_BREAK
case 41:
YY_RULE_SETUP
#line 83 "../src/petitl.l"
{ Lines=P_Lines; return(TPARFOR); }
	YY_BREAK
case 42:
YY_RULE_SETUP
#line 84 "../src/petitl.l"
{ Lines=P_Lines; return(TDOANY); }
	YY_BREAK
case 43:
YY_RULE_SETUP
#line 85 "../src/petitl.l"
{ Lines=P_Lines; return(TELSE); }
	YY_BREAK
case 44:
YY_RULE_SETUP
#line 86 "../src/petitl.l"
{ Lines=P_Lines; return(TENDFOR); }
	YY_BREAK
case 45:
YY_RULE_SETUP
#line 87 "../src/petitl.l"
{ Lines=P_Lines; return(TENDIF); }
	YY_BREAK
case 46:
YY_RULE_SETUP
#line 88 "../src/petitl.l"
{ Lines=P_Lines; return(TFLOOR); }
	YY_BREAK
case 47:
YY_RULE_SETUP
#line 89 "../src/petitl.l"
{ Lines=P_Lines; return(TFOR); }
	YY_BREAK
case 48:
YY_RULE_SETUP
#line 90 "../src/petitl.l"
{ Lines=P_Lines; return(TVECFOR); }
	YY_BREAK
case 49:
YY_RULE_SETUP
#line 91 "../src/petitl.l"
{ Lines=P_Lines; return(TIF); }
	YY_BREAK
case 50:
YY_RULE_SETUP
#line 92 "../src/petitl.l"
{ Lines=P_Lines; return(TINTEGER); }
	YY_BREAK
case 51:
YY_RULE_SETUP
#line 93 "../src/petitl.l"
{ Lines=P_Lines; return(TMAX); }
	YY_BREAK
case 52:
YY_RULE_SETUP
#line 94 "../src/petitl.l"
{ Lines=P_Lines; return(TMIN); }
	YY_BREAK
case 53:
YY_RULE_SETUP
#line 95 "../src/petitl.l"
{ Lines=P_Lines; return(TMOD); }
	YY_BREAK
case 54:
YY_RULE_SETUP
#line 96 "../src/petitl.l"
{ Lines=P_Lines; return(TREAL); }
	YY_BREAK
case 55:
YY_RULE_SETUP
#line 97 "../src/petitl.l"
{ Lines=P_Lines; return(TSQRT); }
	YY_BREAK
case 56:
YY_RULE_SETUP
#line 98 "../src/petitl.l"
{ Lines=P_Lines; return(TTHEN); }
	YY_BREAK
case 57:
YY_RULE_SETUP
#line 99 "../src/petitl.l"
{ Lines=P_Lines; return(TTO); }
	YY_BREAK
case 58:
YY_RULE_SETUP
#line 101 "../src/petitl.l"
{ Lines=P_Lines; return(TRETURN); }
	YY_BREAK
case 59:
YY_RULE_SETUP
#line 102 "../src/petitl.l"
{ Lines=P_Lines; return(TCOMMON); }
	YY_BREAK
case 60:
YY_RULE_SETUP
#line 103 "../src/petitl.l"
{ Lines=P_Lines; return(TSTATIC); }
	YY_BREAK
case 61:
YY_RULE_SETUP
#line 104 "../src/petitl.l"
{ Lines=P_Lines; return(TAUTO); }
	YY_BREAK
case 62:
YY_RULE_SETUP
#line 105 "../src/petitl.l"
{ Lines=P_Lines; return(TFORMAL); }
	YY_BREAK
case 63:
YY_RULE_SETUP
#line 106 "../src/petitl.l"
{ Lines=P_Lines; return(TIN); }
	YY_BREAK
case 64:
YY_RULE_SETUP
#line 107 "../src/petitl.l"
{ Lines=P_Lines; return(TOUT); }
	YY_BREAK
case 65:
YY_RULE_SETUP
#line 108 "../src/petitl.l"
{ Lines=P_Lines; return(TINOUT); }
	YY_BREAK
case 66:
YY_RULE_SETUP
#line 109 "../src/petitl.l"
{ Lines=P_Lines; return(TBUILTIN); }
	YY_BREAK
case 67:
YY_RULE_SETUP
#line 110 "../src/petitl.l"
{ Lines=P_Lines; return(TPRIVATE); }
	YY_BREAK
case 68:
YY_RULE_SETUP
#line 111 "../src/petitl.l"
{ Lines=P_Lines; return(TAND); }
	YY_BREAK
case 69:
YY_RULE_SETUP
#line 112 "../src/petitl.l"
{ Lines=P_Lines; return(TOR); }
	YY_BREAK
case 70:
YY_RULE_SETUP
#line 113 "../src/petitl.l"
{ Lines=P_Lines; return(TNOT); }
	YY_BREAK
case 71:
YY_RULE_SETUP
#line 114 "../src/petitl.l"
{ Lines=P_Lines; return(TRAND); }
	YY_BREAK
case 72:
YY_RULE_SETUP
#line 116 "../src/petitl.l"
{ Lines=P_Lines; ++P_Lines; return(TSEMI); }
	YY_BREAK
case 73:
YY_RULE_SETUP
#line 118 "../src/petitl.l"
{ Lines=P_Lines; 
                                  strncpy(P_IDname,yytext,MAXIDLENGTH); 
                                  return(TID); }
	YY_BREAK
case 74:
YY_RULE_SETUP
#line 121 "../src/petitl.l"
{ Lines=P_Lines; ; }
	YY_BREAK
case 75:
YY_RULE_SETUP
#line 122 "../src/petitl.l"
{ sprintf(P_IDname, "Unknown character '%s' on line %ld", yytext, P_Lines);
                                  Error(P_IDname);
}
	YY_BREAK
case 76:
YY_RULE_SETUP
#line 125 "../src/petitl.l"
ECHO;
	YY_BREAK
#line 1165 "petitl.c"
case YY_STATE_EOF(INITIAL):
	yyterminate();

	case YY_END_OF_BUFFER:
		{
		/* Amount of text matched not including the EOB char. */
		int yy_amount_of_matched_text = (int) (yy_cp - yytext_ptr) - 1;

		/* Undo the effects of YY_DO_BEFORE_ACTION. */
		*yy_cp = yy_hold_char;
		YY_RESTORE_YY_MORE_OFFSET

		if ( yy_current_buffer->yy_buffer_status == YY_BUFFER_NEW )
			{
			/* We're scanning a new file or input source.  It's
			 * possible that this happened because the user
			 * just pointed yyin at a new source and called
			 * yylex().  If so, then we have to assure
			 * consistency between yy_current_buffer and our
			 * globals.  Here is the right place to do so, because
			 * this is the first action (other than possibly a
			 * back-up) that will match for the new input source.
			 */
			yy_n_chars = yy_current_buffer->yy_n_chars;
			yy_current_buffer->yy_input_file = yyin;
			yy_current_buffer->yy_buffer_status = YY_BUFFER_NORMAL;
			}

		/* Note that here we test for yy_c_buf_p "<=" to the position
		 * of the first EOB in the buffer, since yy_c_buf_p will
		 * already have been incremented past the NUL character
		 * (since all states make transitions on EOB to the
		 * end-of-buffer state).  Contrast this with the test
		 * in input().
		 */
		if ( yy_c_buf_p <= &yy_current_buffer->yy_ch_buf[yy_n_chars] )
			{ /* This was really a NUL. */
			yy_state_type yy_next_state;

			yy_c_buf_p = yytext_ptr + yy_amount_of_matched_text;

			yy_current_state = yy_get_previous_state();

			/* Okay, we're now positioned to make the NUL
			 * transition.  We couldn't have
			 * yy_get_previous_state() go ahead and do it
			 * for us because it doesn't know how to deal
			 * with the possibility of jamming (and we don't
			 * want to build jamming into it because then it
			 * will run more slowly).
			 */

			yy_next_state = yy_try_NUL_trans( yy_current_state );

			yy_bp = yytext_ptr + YY_MORE_ADJ;

			if ( yy_next_state )
				{
				/* Consume the NUL. */
				yy_cp = ++yy_c_buf_p;
				yy_current_state = yy_next_state;
				goto yy_match;
				}

			else
				{
				yy_cp = yy_c_buf_p;
				goto yy_find_action;
				}
			}

		else switch ( yy_get_next_buffer() )
			{
			case EOB_ACT_END_OF_FILE:
				{
				yy_did_buffer_switch_on_eof = 0;

				if ( yywrap() )
					{
					/* Note: because we've taken care in
					 * yy_get_next_buffer() to have set up
					 * yytext, we can now set up
					 * yy_c_buf_p so that if some total
					 * hoser (like flex itself) wants to
					 * call the scanner after we return the
					 * YY_NULL, it'll still work - another
					 * YY_NULL will get returned.
					 */
					yy_c_buf_p = yytext_ptr + YY_MORE_ADJ;

					yy_act = YY_STATE_EOF(YY_START);
					goto do_action;
					}

				else
					{
					if ( ! yy_did_buffer_switch_on_eof )
						YY_NEW_FILE;
					}
				break;
				}

			case EOB_ACT_CONTINUE_SCAN:
				yy_c_buf_p =
					yytext_ptr + yy_amount_of_matched_text;

				yy_current_state = yy_get_previous_state();

				yy_cp = yy_c_buf_p;
				yy_bp = yytext_ptr + YY_MORE_ADJ;
				goto yy_match;

			case EOB_ACT_LAST_MATCH:
				yy_c_buf_p =
				&yy_current_buffer->yy_ch_buf[yy_n_chars];

				yy_current_state = yy_get_previous_state();

				yy_cp = yy_c_buf_p;
				yy_bp = yytext_ptr + YY_MORE_ADJ;
				goto yy_find_action;
			}
		break;
		}

	default:
		YY_FATAL_ERROR(
			"fatal flex scanner internal error--no action found" );
	} /* end of action switch */
		} /* end of scanning one token */
	} /* end of yylex */


/* yy_get_next_buffer - try to read in a new buffer
 *
 * Returns a code representing an action:
 *	EOB_ACT_LAST_MATCH -
 *	EOB_ACT_CONTINUE_SCAN - continue scanning from current position
 *	EOB_ACT_END_OF_FILE - end of file
 */

static int yy_get_next_buffer()
	{
	register char *dest = yy_current_buffer->yy_ch_buf;
	register char *source = yytext_ptr;
	register int number_to_move, i;
	int ret_val;

	if ( yy_c_buf_p > &yy_current_buffer->yy_ch_buf[yy_n_chars + 1] )
		YY_FATAL_ERROR(
		"fatal flex scanner internal error--end of buffer missed" );

	if ( yy_current_buffer->yy_fill_buffer == 0 )
		{ /* Don't try to fill the buffer, so this is an EOF. */
		if ( yy_c_buf_p - yytext_ptr - YY_MORE_ADJ == 1 )
			{
			/* We matched a single character, the EOB, so
			 * treat this as a final EOF.
			 */
			return EOB_ACT_END_OF_FILE;
			}

		else
			{
			/* We matched some text prior to the EOB, first
			 * process it.
			 */
			return EOB_ACT_LAST_MATCH;
			}
		}

	/* Try to read more data. */

	/* First move last chars to start of buffer. */
	number_to_move = (int) (yy_c_buf_p - yytext_ptr) - 1;

	for ( i = 0; i < number_to_move; ++i )
		*(dest++) = *(source++);

	if ( yy_current_buffer->yy_buffer_status == YY_BUFFER_EOF_PENDING )
		/* don't do the read, it's not guaranteed to return an EOF,
		 * just force an EOF
		 */
		yy_current_buffer->yy_n_chars = yy_n_chars = 0;

	else
		{
		int num_to_read =
			yy_current_buffer->yy_buf_size - number_to_move - 1;

		while ( num_to_read <= 0 )
			{ /* Not enough room in the buffer - grow it. */
#ifdef YY_USES_REJECT
			YY_FATAL_ERROR(
"input buffer overflow, can't enlarge buffer because scanner uses REJECT" );
#else

			/* just a shorter name for the current buffer */
			YY_BUFFER_STATE b = yy_current_buffer;

			int yy_c_buf_p_offset =
				(int) (yy_c_buf_p - b->yy_ch_buf);

			if ( b->yy_is_our_buffer )
				{
				int new_size = b->yy_buf_size * 2;

				if ( new_size <= 0 )
					b->yy_buf_size += b->yy_buf_size / 8;
				else
					b->yy_buf_size *= 2;

				b->yy_ch_buf = (char *)
					/* Include room in for 2 EOB chars. */
					yy_flex_realloc( (void *) b->yy_ch_buf,
							 b->yy_buf_size + 2 );
				}
			else
				/* Can't grow it, we don't own it. */
				b->yy_ch_buf = 0;

			if ( ! b->yy_ch_buf )
				YY_FATAL_ERROR(
				"fatal error - scanner input buffer overflow" );

			yy_c_buf_p = &b->yy_ch_buf[yy_c_buf_p_offset];

			num_to_read = yy_current_buffer->yy_buf_size -
						number_to_move - 1;
#endif
			}

		if ( num_to_read > YY_READ_BUF_SIZE )
			num_to_read = YY_READ_BUF_SIZE;

		/* Read in more data. */
		YY_INPUT( (&yy_current_buffer->yy_ch_buf[number_to_move]),
			yy_n_chars, num_to_read );

		yy_current_buffer->yy_n_chars = yy_n_chars;
		}

	if ( yy_n_chars == 0 )
		{
		if ( number_to_move == YY_MORE_ADJ )
			{
			ret_val = EOB_ACT_END_OF_FILE;
			yyrestart( yyin );
			}

		else
			{
			ret_val = EOB_ACT_LAST_MATCH;
			yy_current_buffer->yy_buffer_status =
				YY_BUFFER_EOF_PENDING;
			}
		}

	else
		ret_val = EOB_ACT_CONTINUE_SCAN;

	yy_n_chars += number_to_move;
	yy_current_buffer->yy_ch_buf[yy_n_chars] = YY_END_OF_BUFFER_CHAR;
	yy_current_buffer->yy_ch_buf[yy_n_chars + 1] = YY_END_OF_BUFFER_CHAR;

	yytext_ptr = &yy_current_buffer->yy_ch_buf[0];

	return ret_val;
	}


/* yy_get_previous_state - get the state just before the EOB char was reached */

static yy_state_type yy_get_previous_state()
	{
	register yy_state_type yy_current_state;
	register char *yy_cp;

	yy_current_state = yy_start;

	for ( yy_cp = yytext_ptr + YY_MORE_ADJ; yy_cp < yy_c_buf_p; ++yy_cp )
		{
		register YY_CHAR yy_c = (*yy_cp ? yy_ec[YY_SC_TO_UI(*yy_cp)] : 1);
		if ( yy_accept[yy_current_state] )
			{
			yy_last_accepting_state = yy_current_state;
			yy_last_accepting_cpos = yy_cp;
			}
		while ( yy_chk[yy_base[yy_current_state] + yy_c] != yy_current_state )
			{
			yy_current_state = (int) yy_def[yy_current_state];
			if ( yy_current_state >= 189 )
				yy_c = yy_meta[(unsigned int) yy_c];
			}
		yy_current_state = yy_nxt[yy_base[yy_current_state] + (unsigned int) yy_c];
		}

	return yy_current_state;
	}


/* yy_try_NUL_trans - try to make a transition on the NUL character
 *
 * synopsis
 *	next_state = yy_try_NUL_trans( current_state );
 */

#ifdef YY_USE_PROTOS
static yy_state_type yy_try_NUL_trans( yy_state_type yy_current_state )
#else
static yy_state_type yy_try_NUL_trans( yy_current_state )
yy_state_type yy_current_state;
#endif
	{
	register int yy_is_jam;
	register char *yy_cp = yy_c_buf_p;

	register YY_CHAR yy_c = 1;
	if ( yy_accept[yy_current_state] )
		{
		yy_last_accepting_state = yy_current_state;
		yy_last_accepting_cpos = yy_cp;
		}
	while ( yy_chk[yy_base[yy_current_state] + yy_c] != yy_current_state )
		{
		yy_current_state = (int) yy_def[yy_current_state];
		if ( yy_current_state >= 189 )
			yy_c = yy_meta[(unsigned int) yy_c];
		}
	yy_current_state = yy_nxt[yy_base[yy_current_state] + (unsigned int) yy_c];
	yy_is_jam = (yy_current_state == 188);

	return yy_is_jam ? 0 : yy_current_state;
	}


#ifndef YY_NO_UNPUT
#ifdef YY_USE_PROTOS
static void yyunput( int c, register char *yy_bp )
#else
static void yyunput( c, yy_bp )
int c;
register char *yy_bp;
#endif
	{
	register char *yy_cp = yy_c_buf_p;

	/* undo effects of setting up yytext */
	*yy_cp = yy_hold_char;

	if ( yy_cp < yy_current_buffer->yy_ch_buf + 2 )
		{ /* need to shift things up to make room */
		/* +2 for EOB chars. */
		register int number_to_move = yy_n_chars + 2;
		register char *dest = &yy_current_buffer->yy_ch_buf[
					yy_current_buffer->yy_buf_size + 2];
		register char *source =
				&yy_current_buffer->yy_ch_buf[number_to_move];

		while ( source > yy_current_buffer->yy_ch_buf )
			*--dest = *--source;

		yy_cp += (int) (dest - source);
		yy_bp += (int) (dest - source);
		yy_current_buffer->yy_n_chars =
			yy_n_chars = yy_current_buffer->yy_buf_size;

		if ( yy_cp < yy_current_buffer->yy_ch_buf + 2 )
			YY_FATAL_ERROR( "flex scanner push-back overflow" );
		}

	*--yy_cp = (char) c;


	yytext_ptr = yy_bp;
	yy_hold_char = *yy_cp;
	yy_c_buf_p = yy_cp;
	}
#endif	/* ifndef YY_NO_UNPUT */


#ifdef __cplusplus
static int yyinput()
#else
static int input()
#endif
	{
	int c;

	*yy_c_buf_p = yy_hold_char;

	if ( *yy_c_buf_p == YY_END_OF_BUFFER_CHAR )
		{
		/* yy_c_buf_p now points to the character we want to return.
		 * If this occurs *before* the EOB characters, then it's a
		 * valid NUL; if not, then we've hit the end of the buffer.
		 */
		if ( yy_c_buf_p < &yy_current_buffer->yy_ch_buf[yy_n_chars] )
			/* This was really a NUL. */
			*yy_c_buf_p = '\0';

		else
			{ /* need more input */
			int offset = yy_c_buf_p - yytext_ptr;
			++yy_c_buf_p;

			switch ( yy_get_next_buffer() )
				{
				case EOB_ACT_LAST_MATCH:
					/* This happens because yy_g_n_b()
					 * sees that we've accumulated a
					 * token and flags that we need to
					 * try matching the token before
					 * proceeding.  But for input(),
					 * there's no matching to consider.
					 * So convert the EOB_ACT_LAST_MATCH
					 * to EOB_ACT_END_OF_FILE.
					 */

					/* Reset buffer status. */
					yyrestart( yyin );

					/* fall through */

				case EOB_ACT_END_OF_FILE:
					{
					if ( yywrap() )
						return EOF;

					if ( ! yy_did_buffer_switch_on_eof )
						YY_NEW_FILE;
#ifdef __cplusplus
					return yyinput();
#else
					return input();
#endif
					}

				case EOB_ACT_CONTINUE_SCAN:
					yy_c_buf_p = yytext_ptr + offset;
					break;
				}
			}
		}

	c = *(unsigned char *) yy_c_buf_p;	/* cast for 8-bit char's */
	*yy_c_buf_p = '\0';	/* preserve yytext */
	yy_hold_char = *++yy_c_buf_p;


	return c;
	}


#ifdef YY_USE_PROTOS
void yyrestart( FILE *input_file )
#else
void yyrestart( input_file )
FILE *input_file;
#endif
	{
	if ( ! yy_current_buffer )
		yy_current_buffer = yy_create_buffer( yyin, YY_BUF_SIZE );

	yy_init_buffer( yy_current_buffer, input_file );
	yy_load_buffer_state();
	}


#ifdef YY_USE_PROTOS
void yy_switch_to_buffer( YY_BUFFER_STATE new_buffer )
#else
void yy_switch_to_buffer( new_buffer )
YY_BUFFER_STATE new_buffer;
#endif
	{
	if ( yy_current_buffer == new_buffer )
		return;

	if ( yy_current_buffer )
		{
		/* Flush out information for old buffer. */
		*yy_c_buf_p = yy_hold_char;
		yy_current_buffer->yy_buf_pos = yy_c_buf_p;
		yy_current_buffer->yy_n_chars = yy_n_chars;
		}

	yy_current_buffer = new_buffer;
	yy_load_buffer_state();

	/* We don't actually know whether we did this switch during
	 * EOF (yywrap()) processing, but the only time this flag
	 * is looked at is after yywrap() is called, so it's safe
	 * to go ahead and always set it.
	 */
	yy_did_buffer_switch_on_eof = 1;
	}


#ifdef YY_USE_PROTOS
void yy_load_buffer_state( void )
#else
void yy_load_buffer_state()
#endif
	{
	yy_n_chars = yy_current_buffer->yy_n_chars;
	yytext_ptr = yy_c_buf_p = yy_current_buffer->yy_buf_pos;
	yyin = yy_current_buffer->yy_input_file;
	yy_hold_char = *yy_c_buf_p;
	}


#ifdef YY_USE_PROTOS
YY_BUFFER_STATE yy_create_buffer( FILE *file, int size )
#else
YY_BUFFER_STATE yy_create_buffer( file, size )
FILE *file;
int size;
#endif
	{
	YY_BUFFER_STATE b;

	b = (YY_BUFFER_STATE) yy_flex_alloc( sizeof( struct yy_buffer_state ) );
	if ( ! b )
		YY_FATAL_ERROR( "out of dynamic memory in yy_create_buffer()" );

	b->yy_buf_size = size;

	/* yy_ch_buf has to be 2 characters longer than the size given because
	 * we need to put in 2 end-of-buffer characters.
	 */
	b->yy_ch_buf = (char *) yy_flex_alloc( b->yy_buf_size + 2 );
	if ( ! b->yy_ch_buf )
		YY_FATAL_ERROR( "out of dynamic memory in yy_create_buffer()" );

	b->yy_is_our_buffer = 1;

	yy_init_buffer( b, file );

	return b;
	}


#ifdef YY_USE_PROTOS
void yy_delete_buffer( YY_BUFFER_STATE b )
#else
void yy_delete_buffer( b )
YY_BUFFER_STATE b;
#endif
	{
	if ( ! b )
		return;

	if ( b == yy_current_buffer )
		yy_current_buffer = (YY_BUFFER_STATE) 0;

	if ( b->yy_is_our_buffer )
		yy_flex_free( (void *) b->yy_ch_buf );

	yy_flex_free( (void *) b );
	}


#ifndef YY_ALWAYS_INTERACTIVE
#ifndef YY_NEVER_INTERACTIVE
extern int isatty YY_PROTO(( int ));
#endif
#endif

#ifdef YY_USE_PROTOS
void yy_init_buffer( YY_BUFFER_STATE b, FILE *file )
#else
void yy_init_buffer( b, file )
YY_BUFFER_STATE b;
FILE *file;
#endif


	{
	yy_flush_buffer( b );

	b->yy_input_file = file;
	b->yy_fill_buffer = 1;

#if YY_ALWAYS_INTERACTIVE
	b->yy_is_interactive = 1;
#else
#if YY_NEVER_INTERACTIVE
	b->yy_is_interactive = 0;
#else
	b->yy_is_interactive = file ? (isatty( fileno(file) ) > 0) : 0;
#endif
#endif
	}


#ifdef YY_USE_PROTOS
void yy_flush_buffer( YY_BUFFER_STATE b )
#else
void yy_flush_buffer( b )
YY_BUFFER_STATE b;
#endif

	{
	if ( ! b )
		return;

	b->yy_n_chars = 0;

	/* We always need two end-of-buffer characters.  The first causes
	 * a transition to the end-of-buffer state.  The second causes
	 * a jam in that state.
	 */
	b->yy_ch_buf[0] = YY_END_OF_BUFFER_CHAR;
	b->yy_ch_buf[1] = YY_END_OF_BUFFER_CHAR;

	b->yy_buf_pos = &b->yy_ch_buf[0];

	b->yy_at_bol = 1;
	b->yy_buffer_status = YY_BUFFER_NEW;

	if ( b == yy_current_buffer )
		yy_load_buffer_state();
	}


#ifndef YY_NO_SCAN_BUFFER
#ifdef YY_USE_PROTOS
YY_BUFFER_STATE yy_scan_buffer( char *base, yy_size_t size )
#else
YY_BUFFER_STATE yy_scan_buffer( base, size )
char *base;
yy_size_t size;
#endif
	{
	YY_BUFFER_STATE b;

	if ( size < 2 ||
	     base[size-2] != YY_END_OF_BUFFER_CHAR ||
	     base[size-1] != YY_END_OF_BUFFER_CHAR )
		/* They forgot to leave room for the EOB's. */
		return 0;

	b = (YY_BUFFER_STATE) yy_flex_alloc( sizeof( struct yy_buffer_state ) );
	if ( ! b )
		YY_FATAL_ERROR( "out of dynamic memory in yy_scan_buffer()" );

	b->yy_buf_size = size - 2;	/* "- 2" to take care of EOB's */
	b->yy_buf_pos = b->yy_ch_buf = base;
	b->yy_is_our_buffer = 0;
	b->yy_input_file = 0;
	b->yy_n_chars = b->yy_buf_size;
	b->yy_is_interactive = 0;
	b->yy_at_bol = 1;
	b->yy_fill_buffer = 0;
	b->yy_buffer_status = YY_BUFFER_NEW;

	yy_switch_to_buffer( b );

	return b;
	}
#endif


#ifndef YY_NO_SCAN_STRING
#ifdef YY_USE_PROTOS
YY_BUFFER_STATE yy_scan_string( yyconst char *yy_str )
#else
YY_BUFFER_STATE yy_scan_string( yy_str )
yyconst char *yy_str;
#endif
	{
	int len;
	for ( len = 0; yy_str[len]; ++len )
		;

	return yy_scan_bytes( yy_str, len );
	}
#endif


#ifndef YY_NO_SCAN_BYTES
#ifdef YY_USE_PROTOS
YY_BUFFER_STATE yy_scan_bytes( yyconst char *bytes, int len )
#else
YY_BUFFER_STATE yy_scan_bytes( bytes, len )
yyconst char *bytes;
int len;
#endif
	{
	YY_BUFFER_STATE b;
	char *buf;
	yy_size_t n;
	int i;

	/* Get memory for full buffer, including space for trailing EOB's. */
	n = len + 2;
	buf = (char *) yy_flex_alloc( n );
	if ( ! buf )
		YY_FATAL_ERROR( "out of dynamic memory in yy_scan_bytes()" );

	for ( i = 0; i < len; ++i )
		buf[i] = bytes[i];

	buf[len] = buf[len+1] = YY_END_OF_BUFFER_CHAR;

	b = yy_scan_buffer( buf, n );
	if ( ! b )
		YY_FATAL_ERROR( "bad buffer in yy_scan_bytes()" );

	/* It's okay to grow etc. this buffer, and we should throw it
	 * away when we're done.
	 */
	b->yy_is_our_buffer = 1;

	return b;
	}
#endif


#ifndef YY_NO_PUSH_STATE
#ifdef YY_USE_PROTOS
static void yy_push_state( int new_state )
#else
static void yy_push_state( new_state )
int new_state;
#endif
	{
	if ( yy_start_stack_ptr >= yy_start_stack_depth )
		{
		yy_size_t new_size;

		yy_start_stack_depth += YY_START_STACK_INCR;
		new_size = yy_start_stack_depth * sizeof( int );

		if ( ! yy_start_stack )
			yy_start_stack = (int *) yy_flex_alloc( new_size );

		else
			yy_start_stack = (int *) yy_flex_realloc(
					(void *) yy_start_stack, new_size );

		if ( ! yy_start_stack )
			YY_FATAL_ERROR(
			"out of memory expanding start-condition stack" );
		}

	yy_start_stack[yy_start_stack_ptr++] = YY_START;

	BEGIN(new_state);
	}
#endif


#ifndef YY_NO_POP_STATE
static void yy_pop_state()
	{
	if ( --yy_start_stack_ptr < 0 )
		YY_FATAL_ERROR( "start-condition stack underflow" );

	BEGIN(yy_start_stack[yy_start_stack_ptr]);
	}
#endif


#ifndef YY_NO_TOP_STATE
static int yy_top_state()
	{
	return yy_start_stack[yy_start_stack_ptr - 1];
	}
#endif

#ifndef YY_EXIT_FAILURE
#define YY_EXIT_FAILURE 2
#endif

#ifdef YY_USE_PROTOS
static void yy_fatal_error( yyconst char msg[] )
#else
static void yy_fatal_error( msg )
char msg[];
#endif
	{
	(void) fprintf( stderr, "%s\n", msg );
	exit( YY_EXIT_FAILURE );
	}



/* Redefine yyless() so it works in section 3 code. */

#undef yyless
#define yyless(n) \
	do \
		{ \
		/* Undo effects of setting up yytext. */ \
		yytext[yyleng] = yy_hold_char; \
		yy_c_buf_p = yytext + n; \
		yy_hold_char = *yy_c_buf_p; \
		*yy_c_buf_p = '\0'; \
		yyleng = n; \
		} \
	while ( 0 )


/* Internal utility routines. */

#ifndef yytext_ptr
#ifdef YY_USE_PROTOS
static void yy_flex_strncpy( char *s1, yyconst char *s2, int n )
#else
static void yy_flex_strncpy( s1, s2, n )
char *s1;
yyconst char *s2;
int n;
#endif
	{
	register int i;
	for ( i = 0; i < n; ++i )
		s1[i] = s2[i];
	}
#endif

#ifdef YY_NEED_STRLEN
#ifdef YY_USE_PROTOS
static int yy_flex_strlen( yyconst char *s )
#else
static int yy_flex_strlen( s )
yyconst char *s;
#endif
	{
	register int n;
	for ( n = 0; s[n]; ++n )
		;

	return n;
	}
#endif


#ifdef YY_USE_PROTOS
static void *yy_flex_alloc( yy_size_t size )
#else
static void *yy_flex_alloc( size )
yy_size_t size;
#endif
	{
	return (void *) malloc( size );
	}

#ifdef YY_USE_PROTOS
static void *yy_flex_realloc( void *ptr, yy_size_t size )
#else
static void *yy_flex_realloc( ptr, size )
void *ptr;
yy_size_t size;
#endif
	{
	/* The cast to (char *) in the following accommodates both
	 * implementations that use char* generic pointers, and those
	 * that use void* generic pointers.  It works with the latter
	 * because both ANSI C and C++ allow castless assignment from
	 * any pointer type to void*, and deal with argument conversions
	 * as though doing an assignment.
	 */
	return (void *) realloc( (char *) ptr, size );
	}

#ifdef YY_USE_PROTOS
static void yy_flex_free( void *ptr )
#else
static void yy_flex_free( ptr )
void *ptr;
#endif
	{
	free( ptr );
	}

#if YY_MAIN
int main()
	{
	yylex();
	return 0;
	}
#endif
#line 125 "../src/petitl.l"



